#include <iostream>
using namespace std;
int main()
{
    unsigned long long int v;
    unsigned int cif,br=0;
    int d[3]={1,2,5};
    cin>>v;
    while(v>0)
    {
        cif=v%10;
        if(cif>=d[2]){
            br=br+cif/d[2];
            cif=cif%d[2];
        }
        if(cif>=d[1])
        {
            br=br+cif/d[1];
            cif=cif%d[1];
        }
        if(cif==d[0])
        {
            br=br+1;
        }
        v=v/10;
    }
    cout<<br;
    return 0;
}